- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Try it!
Lists a file's revisions. For more information, see Manage file revisions.
Important: The list of revisions returned by this method might be incomplete for files with a large revision history, including frequently edited Google Docs, Sheets, and Slides. Older revisions might be omitted from the response, meaning the first revision returned may not be the oldest existing revision. The revision history visible in the Workspace editor user interface might be more complete than the list returned by the API.
HTTP request
GET https://www.googleapis.com/drive/v3/files/{fileId}/revisions
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
fileId |
The ID of the file. |
Query parameters
| Parameters | |
|---|---|
pageSize |
The maximum number of revisions to return. The service may return fewer than this value. If unspecified, at most 200 revisions will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. |
pageToken |
The token for continuing a previous list request on the next page. This should be set to the value of 'nextPageToken' from the previous response. |
Request body
The request body must be empty.
Response body
A list of revisions of a file.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"revisions": [
{
object ( |
| Fields | |
|---|---|
revisions[] |
The list of revisions. If nextPageToken is populated, then this list may be incomplete and an additional page of results should be fetched. |
nextPageToken |
The page token for the next page of revisions. This will be absent if the end of the revisions list has been reached. If the token is rejected for any reason, it should be discarded, and pagination should be restarted from the first page of results. The page token is typically valid for several hours. However, if new items are added or removed, your expected results might differ. |
kind |
Identifies what kind of resource this is. Value: the fixed string |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/drivehttps://www.googleapis.com/auth/drive.appdatahttps://www.googleapis.com/auth/drive.filehttps://www.googleapis.com/auth/drive.meet.readonlyhttps://www.googleapis.com/auth/drive.metadatahttps://www.googleapis.com/auth/drive.metadata.readonlyhttps://www.googleapis.com/auth/drive.photos.readonlyhttps://www.googleapis.com/auth/drive.readonly
Some scopes are restricted and require a security assessment for your app to use them. For more information, see the Authorization guide.